darcs

Issue 1320 darcs 2.2.0 for windows do not work with national path on GHC 6.10.1

Title darcs 2.2.0 for windows do not work with national path on GHC 6.10.1
Priority not-our-bug Status resolved
Milestone Resolved in
Superseder Nosy List Tonal, darcs-devel, dmitry.kurochkin, eivuokko, jaredj, kirby, kowey, thorkilnaur, wglozer
Assigned To
Topics Windows

Created on 2009-01-17.05:37:39 by Tonal, last changed 2009-08-27.14:31:53 by admin.

Messages
msg7122 (view) Author: Tonal Date: 2009-01-17.05:37:37
If working copy place in path contains national symbols darcs report error with
all command:
C:\Lang\Projects\nikzam\report\Пример>darcs whatsnew
darcs.EXE: SetCurrentDirectory: does not exist (5 C405BAO =09B8 C:070==K9 D09;.)
msg7142 (view) Author: kirby Date: 2009-01-19.13:26:13
This is actually a GHC directory library bug 
(http://hackage.haskell.org/trac/ghc/ticket/2964).
I'll leave the issue as "in-progress" while we wait for a fix from GHC group.
msg7144 (view) Author: Tonal Date: 2009-01-19.18:20:22
Bat snapshot "darcs-2.1.2+377.exe" work ok.
msg7343 (view) Author: kirby Date: 2009-02-19.14:11:02
Darcs 2.2.1-win1 binary fixes the issue, as it is compiled with GHC 6.8.3.
msg8452 (view) Author: kowey Date: 2009-08-24.12:12:17
Do later versions of GHC avoid this problem?
msg8454 (view) Author: kirby Date: 2009-08-24.12:21:23
Yes they do.
Darcs 2.3 binary for Windows will be compiled with 6.10.4.

On Mon, Aug 24, 2009 at 2:12 PM, Eric Kow<bugs@darcs.net> wrote:
>
> Eric Kow <kowey@darcs.net> added the comment:
>
> Do later versions of GHC avoid this problem?
>
> ----------
> nosy: +eivuokko, jaredj, wglozer
> status: in-progress -> need-info
> topic: +Windows
>
> __________________________________
> Darcs bug tracker <bugs@darcs.net>
> <http://bugs.darcs.net/issue1320>
> __________________________________
>
msg8457 (view) Author: kowey Date: 2009-08-24.12:28:36
Thanks, and welcome back!
History
Date User Action Args
2009-01-17 05:37:39Tonalcreate
2009-01-19 13:26:16kirbysetpriority: bug -> not-our-bug
status: unread -> has-patch
messages: + msg7142
nosy: + kirby
assignedto: kirby
2009-01-19 18:20:25Tonalsetnosy: kowey, simon, thorkilnaur, dmitry.kurochkin, kirby, Tonal
messages: + msg7144
2009-02-19 14:11:12kirbysetnosy: kowey, simon, thorkilnaur, dmitry.kurochkin, kirby, Tonal
messages: + msg7343
title: darcs 2.2.0 for windows do not work with national path -> darcs 2.2.0 for windows do not work with national path on GHC 6.10.1
2009-08-24 12:12:22koweysetstatus: has-patch -> waiting-for
nosy: + wglozer, eivuokko, jaredj
topic: + Windows
messages: + msg8452
2009-08-24 12:21:25kirbysetnosy: kowey, wglozer, eivuokko, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby, Tonal
messages: + msg8454
2009-08-24 12:28:38koweysetstatus: waiting-for -> resolved
nosy: kowey, wglozer, eivuokko, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby, Tonal
messages: + msg8457
assignedto: kirby ->
2009-08-25 17:39:26adminsetnosy: + darcs-devel, - simon
2009-08-27 14:31:53adminsetnosy: kowey, wglozer, darcs-devel, eivuokko, thorkilnaur, jaredj, dmitry.kurochkin, kirby, Tonal